Subject: gnus-delay-send-queue should not run message-send-hook

From: Peter Münster <[email-masked]>
Date: Mon, 02 Jun 2014 16:11:29 +0200

Ma Gnus v0.12
GNU Emacs 24.4.50.1 (x86_64-suse-linux-gnu, GTK+ Version 3.10.4)

Hi,

IMO, `gnus-delay-send-queue' should not run `message-send-hook,' because
`gnus-delay-article' does it already, and sometimes, there can be
interactive commands in this hook, that need user interaction.

Do you agree? And if yes, what could be done to suppress the second
execution of `message-send-hook'?

TIA for any hints,
-- 
           Peter